cURL
curl "https://api.neuraldraft.io/v1/bookings?status=confirmed" \
-H "Authorization: Bearer ndsk_live_yourkey"const list = await nd.bookings.list({ status: "confirmed" });
list = requests.get("https://api.neuraldraft.io/v1/bookings",
params={"status":"confirmed"},
headers={"Authorization": f"Bearer {key}"}).json()
<?php
$list = json_decode((string) $client->get('bookings', [
'query' => ['status' => 'confirmed'],
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true);
{
"data": [
{
"id": 503,
"booking_reference": "BK-20260419-AB12",
"service": {
"id": 12,
"name": "60-minute private yoga",
"slug": "60-minute-private-yoga"
},
"customer_name": "Anna Schmidt",
"customer_email": "anna@example.com",
"customer_phone": "+447712345678",
"starts_at": "2026-04-19T09:00:00Z",
"ends_at": "2026-04-19T10:00:00Z",
"status": "confirmed",
"payment_status": "paid",
"price_charged": 7500,
"currency": "gbp",
"customer_notes": "Beginner. Has lower-back stiffness.",
"confirmed_at": "2026-04-15T11:21:18Z",
"cancelled_at": null,
"cancellation_reason": null,
"created_at": "2026-04-15T11:14:02Z"
}
],
"meta": {
"page": 1,
"page_size": 20,
"total": 1
}
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}Booking
List bookings
Read-only.
GET
/
bookings
cURL
curl "https://api.neuraldraft.io/v1/bookings?status=confirmed" \
-H "Authorization: Bearer ndsk_live_yourkey"const list = await nd.bookings.list({ status: "confirmed" });
list = requests.get("https://api.neuraldraft.io/v1/bookings",
params={"status":"confirmed"},
headers={"Authorization": f"Bearer {key}"}).json()
<?php
$list = json_decode((string) $client->get('bookings', [
'query' => ['status' => 'confirmed'],
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true);
{
"data": [
{
"id": 503,
"booking_reference": "BK-20260419-AB12",
"service": {
"id": 12,
"name": "60-minute private yoga",
"slug": "60-minute-private-yoga"
},
"customer_name": "Anna Schmidt",
"customer_email": "anna@example.com",
"customer_phone": "+447712345678",
"starts_at": "2026-04-19T09:00:00Z",
"ends_at": "2026-04-19T10:00:00Z",
"status": "confirmed",
"payment_status": "paid",
"price_charged": 7500,
"currency": "gbp",
"customer_notes": "Beginner. Has lower-back stiffness.",
"confirmed_at": "2026-04-15T11:21:18Z",
"cancelled_at": null,
"cancellation_reason": null,
"created_at": "2026-04-15T11:14:02Z"
}
],
"meta": {
"page": 1,
"page_size": 20,
"total": 1
}
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}Authorizations
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
Query Parameters
Available options:
pending, confirmed, cancelled, completed, no_show Match against customer name/email/booking ref.
1-based page number.
Required range:
x >= 1Items per page (max 100).
Required range:
1 <= x <= 100